Bug 168298 - Review request: perl-Params-Util - Simple standalone param-checking functions
Review request: perl-Params-Util - Simple standalone param-checking functions
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jose Pedro Oliveira
David Lawrence
http://search.cpan.org/dist/Params-Util/
:
Depends On:
Blocks: FE-ACCEPT 168175 168213
  Show dependency treegraph
 
Reported: 2005-09-14 12:37 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-15 14:11:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-09-14 12:37:27 EDT
Spec Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Params-Util.spec

SRPM Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Params-Util-0.05-1.src.rpm

Description:
Params::Util provides a basic set of importable functions that
makes checking parameters a hell of a lot easier.
Comment 1 Jose Pedro Oliveira 2005-09-14 20:02:42 EDT
Going to review release 2 (as in the spec) and not release 1:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Params-Util-0.05-2.src.rpm
Comment 2 Jose Pedro Oliveira 2005-09-14 20:03:38 EDT
APPROVED

MD5SUMS:
c0fad7a28b93a5aecbba49c4e09d73a9  perl-Params-Util-0.05-2.src.rpm

5d3f1abd93c0fec2e7cfe37d30ce48dc  Params-Util-0.05.tar.gz
2c255d1f6dd063efa2f9f474fad30e58  perl-Params-Util.spec


Good:
* Package name follows standard
* Params-Util-0.05.tar.gz MD5 digest verified against CPAN tarball·
* URL and Source0 url are valid
* License verified and text included (LICENSE file)

* Build Requirements are valid
* perl(:MODULE_COMPAT_xxx) present
* perl vendor libs present
* File permissions are OK
* Builds without problems in FC-3 and FC-4
* No opened tickets in
  http://rt.cpan.org/NoAuth/Bugs.html?Dist=xxxx


Potential improvement:

* Remove the following three superfluous BR

»···BuildRequires: perl(Test::More) >= 0.47
»···BuildRequires: perl(File::Spec) >= 0.82
»···BuildRequires: perl(Scalar::Util) >= 1.11

  These modules (and versions) are present in perl as core modules since
  perl 5.8.1.

Comment 3 Jose Pedro Oliveira 2005-09-15 14:11:39 EDT
Closing ticket.  Just pushed into the mirrors.

Note You need to log in before you can comment on or make changes to this bug.